Download it now!
Bug 64907 - Remember 'Insert reference to' selection in insert cross reference dialogue
Summary: Remember 'Insert reference to' selection in insert cross reference dialogue
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:5.2.0
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-23 10:44 UTC by Thomas Kluyver
Modified: 2016-09-19 17:15 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Kluyver 2013-05-23 10:44:55 UTC
I'm creating a document with a lot of cross-references, using the 'Category and Number' style (e.g. 'Figure 1'). Each time I open the Cross-reference dialogue (from the Insert menu), the selection has returned to the first possible style (Page), and I have to select 'Category and Number' again.

In contrast, the the 'Type' list on the left remembers what was selected last time I opened the dialogue. So hopefully this is a simple thing.

Thanks!
Comment 1 Andrew Pitonyak 2013-05-25 13:09:16 UTC
Nice enhancement request... This has annoyed me for a long time. Adding myself to the CC list.
Comment 2 Commit Notification 2016-01-15 14:38:20 UTC
Oliver Specht committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5dbd8085ef32845b831e8ef1917578422d7b52fa

tdf#64907: remember format selection in Insert/Reference dialog page

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Thomas Kluyver 2016-01-15 14:52:30 UTC
Thanks Oliver! I'm not writing any large documents at the moment, but it's nice to know this got fixed. :-)
Comment 4 Cor Nouws 2016-01-15 20:30:57 UTC
nice - thanks!
Comment 5 Xisco Faulí 2016-09-15 21:14:35 UTC
Hi,
Is this bug fixed?
If so, could you please close it as RESOLVED FIXED?
Regards
Comment 6 Thomas Kluyver 2016-09-15 21:23:00 UTC
It sounds like it was fixed, but I don't have LO 5.2 yet, so I can't easily verify that.
Comment 7 Cor Nouws 2016-09-19 17:15:05 UTC
has been fixed. Thanks Oliver.
Comment 8 Cor Nouws 2016-09-19 17:15:24 UTC
verified on master